inherit core-image

require users.inc

IMAGE_FEATURES += "package-management"

CORE_OS = " \
	busybox-initcfg \
	openssh \
	openssh-keygen \
	openssh-sftp-server \
	psplash \
	tzdata \
"

KERNEL_EXTRA_INSTALL = " \
	kernel-modules \
"

WIFI_SUPPORT = " \
	wpa-supplicant \
"

EXTRA_TOOLS_INSTALL = " \
"

IMAGE_INSTALL += " \
	${CORE_OS} \
	${EXTRA_TOOLS_INSTALL} \
	${KERNEL_EXTRA_INSTALL} \
	${WIFI_SUPPORT} \
"

IMAGE_INSTALL_append_beaglebone-yocto = " linux-firmware-rtl8192cu"
IMAGE_INSTALL_append_bananapi-m3 += " linux-firmware-bcm43430"

set_local_timezone() {
	ln -sf /usr/share/zoneinfo/Europe/Berlin ${IMAGE_ROOTFS}/etc/localtime
}

disable_bootlogd() {
	echo BOOTLOGD_ENABLE=no > ${IMAGE_ROOTFS}/etc/default/bootlogd
}

ROOTFS_POSTPROCESS_COMMAND += " \
	set_local_timezone ; \
	disable_bootlogd ; \
"

